[Openvas-discuss] HTTPS in GSA with libmicrohttpd 0.9.0

Michael Wiegand michael.wiegand at greenbone.net
Mon Aug 16 10:19:15 CEST 2010


Hello,

In the past there were issues with the httpd library gsa uses (libmicrohttpd) 
that prevented some browsers (e.g. Internet Explorer) from accessing the gsa.

Felix filed a bug report for libmicrohttpd back in January (see 
https://gnunet.org/bugs/view.php?id=1537) and the issue seems indeed to be 
fixed!

I've just built gsa with libmicrohttpd 0.9.0 and was able to access gsa over 
HTTPS with Internet Explorer 8 without any issues. There were no changes 
required in gsa.

It would be very useful if folks who had issues in the past with the browsers 
Felix mentioned in the issue (links, Opera, iphone, Safari, IE6+8) could try 
to build gsa with libmicrohttpd 0.9.0 and post their experiences here.

Thanks to everyone involved for fixing this issue!

Regards,

Michael
-- 
Michael Wiegand |  Greenbone Networks GmbH  |  http://www.greenbone.net/
Neuer Graben 17, 49074 Osnabrück, Germany | AG Osnabrück, HR B 202460
Executive Directors: Lukas Grunwald, Dr. Jan-Oliver Wagner




More information about the Openvas-discuss mailing list